Bug 84504 - MAINTAINER UPDATE: net-mgmt/nagios to 2.0.b4
MAINTAINER UPDATE: net-mgmt/nagios to 2.0.b4
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Sergey Matveychuk
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-03 08:20 UTC by blaz
Modified: 2005-08-31 13:33 UTC (History)
0 users

See Also:


Attachments
file.diff (824 bytes, patch)
2005-08-03 08:20 UTC, blaz
no flags Details | Diff
patch-include-config.h.in (525 bytes, TEXT/PLAIN; charset=US-ASCII)
2005-08-30 17:49 UTC, blaz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description blaz 2005-08-03 08:20:12 UTC

    
Comment 1 Sergey Matveychuk freebsd_committer 2005-08-07 16:00:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sem

Take it
Comment 2 Sergey Matveychuk freebsd_committer 2005-08-29 15:02:26 UTC
Does not build on 4.11:
===>  Building for nagios-2.0.b4
for myfile in nagios.sh INSTALL DEINSTALL MESSAGE; do  /usr/bin/sed -e 
's,%%NAGIOSUSER%%,nagios,g'  -e 's,%%NAGIOSGROUP%%,nagios,g'  -e 
's,%%NAGIOSDIR%%,/var/spool/nagios,g'  -e 's,%%PREFIX%%,/usr/local,g' 
-e 's,%%RC_SUBR%%,/usr/local/etc/rc.subr,g' < 
/a/ports/net-mgmt/nagios/files/${myfile}.tmpl 
 >/work/a/ports/net-mgmt/nagios/work/${myfile};  done
cd ./base && make
cc -I/usr/local/include -fPIC -I/usr/local/include -O -pipe 
-DHAVE_CONFIG_H -DNSCORE -c broker.c
In file included from ../include/config.h:174,
                  from broker.c:26:
/usr/include/sys/wait.h:62: warning: `WIFEXITED' redefined
../include/config.h:102: warning: this is the location of the previous 
definition
/usr/include/sys/wait.h:63: warning: `WEXITSTATUS' redefined
../include/config.h:99: warning: this is the location of the previous 
definition
In file included from ../include/config.h:114,
                  from broker.c:26:
/usr/include/sys/resource.h:58: field `ru_utime' has incomplete type
/usr/include/sys/resource.h:59: field `ru_stime' has incomplete type
/usr/include/sys/resource.h:119: syntax error before `int32_t'
/usr/include/sys/resource.h:124: syntax error before `rlim_t'
/usr/include/sys/resource.h:130: syntax error before `fixpt_t'
*** Error code 1

Stop in /work/a/ports/net-mgmt/nagios/work/nagios-2.0b4/base.
*** Error code 1

Stop in /work/a/ports/net-mgmt/nagios/work/nagios-2.0b4.
*** Error code 1

Stop in /a/ports/net-mgmt/nagios.
================================================================

-- 
Sem.
Comment 3 blaz 2005-08-29 16:47:27 UTC
> Does not build on 4.11:

Sight, you are right. Luckily I found an old 4.10 box I could test this on. 
Please add the following patch as nagios/files/patch-include-config.h.in.

--- include/config.h.in.orig	Mon Aug 29 17:34:30 2005
+++ include/config.h.in	Mon Aug 29 17:41:03 2005
@@ -108,11 +108,6 @@
  #include <stdio.h>
  #include <stdlib.h>

-#undef HAVE_SYS_RESOURCE_H
-#ifdef HAVE_SYS_RESOURCE_H
-#include <sys/resource.h>
-#endif
-
  #undef HAVE_PWD_H
  #ifdef HAVE_PWD_H
  #include <pwd.h>
@@ -190,6 +185,11 @@
  #else
  #include <time.h>
  #endif
+#endif
+
+#undef HAVE_SYS_RESOURCE_H
+#ifdef HAVE_SYS_RESOURCE_H
+#include <sys/resource.h>
  #endif

  #undef HAVE_SYS_TIMEB_H
Comment 4 Sergey Matveychuk freebsd_committer 2005-08-30 14:25:16 UTC
Blaz Zupan wrote:
>> Does not build on 4.11:
> 
> 
> Sight, you are right. Luckily I found an old 4.10 box I could test this 
> on. Please add the following patch as 
> nagios/files/patch-include-config.h.in.

===>  Applying FreeBSD patches for nagios-2.0.b3_1
2 out of 2 hunks failed--saving rejects to include/config.h.in.rej
=> Patch patch-include-config.h.in failed to apply cleanly.
=> Patch(es) patch-Makefile.in patch-base-Makefile.in 
patch-cgi-Makefile.in patch-configure.in patch-html-Makefile.in applied 
cleanly.
*** Error code 1


-- 
Sem.
Comment 5 blaz 2005-08-30 17:49:22 UTC
>> Sight, you are right. Luckily I found an old 4.10 box I could test this on. 
>> Please add the following patch as nagios/files/patch-include-config.h.in.
>
> ===>  Applying FreeBSD patches for nagios-2.0.b3_1
> 2 out of 2 hunks failed--saving rejects to include/config.h.in.rej
> => Patch patch-include-config.h.in failed to apply cleanly.
> => Patch(es) patch-Makefile.in patch-base-Makefile.in patch-cgi-Makefile.in 
> patch-configure.in patch-html-Makefile.in applied cleanly.
> *** Error code 1

Huh? Probably a problem with pasting the patch from the mail. I tested it 
before sending it to you. Here it is again as an attachment.
Comment 6 Sergey Matveychuk freebsd_committer 2005-08-31 13:33:14 UTC
State Changed
From-To: open->closed

Committed, thanks!